curl --request PUT \
--url https://document-assistant.us.aodocs.app/assistant/api/v1/tenants/{tenant}/skills/{skill_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"classification": {
"description": "<string>",
"example_queries": [
"<string>"
],
"negative_examples": [
"<string>"
],
"keywords": [
"<string>"
]
},
"prompt": "<string>",
"id": "<string>",
"type": "action",
"mcp_servers": [
{
"name": "<string>",
"url": "<string>",
"secret_id": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://document-assistant.us.aodocs.app/assistant/api/v1/tenants/{tenant}/skills/{skill_id}"
payload = {
"name": "<string>",
"classification": {
"description": "<string>",
"example_queries": ["<string>"],
"negative_examples": ["<string>"],
"keywords": ["<string>"]
},
"prompt": "<string>",
"id": "<string>",
"type": "action",
"mcp_servers": [
{
"name": "<string>",
"url": "<string>",
"secret_id": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
classification: {
description: '<string>',
example_queries: ['<string>'],
negative_examples: ['<string>'],
keywords: ['<string>']
},
prompt: '<string>',
id: '<string>',
type: 'action',
mcp_servers: [{name: '<string>', url: '<string>', secret_id: '<string>'}],
created_at: '2023-11-07T05:31:56Z',
updated_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://document-assistant.us.aodocs.app/assistant/api/v1/tenants/{tenant}/skills/{skill_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"classification": {
"description": "<string>",
"example_queries": [
"<string>"
],
"negative_examples": [
"<string>"
],
"keywords": [
"<string>"
]
},
"prompt": "<string>",
"id": "<string>",
"type": "action",
"mcp_servers": [
{
"name": "<string>",
"url": "<string>",
"secret_id": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Update Skill
Update a skill
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The domain of the customer
"example.com"
Body
The name of the skill
Structured classification configuration for routing requests to this skill
Show child attributes
Show child attributes
System prompt used when this skill handles a request
The id of the skill
What kind of work this skill does. A 'datasource' skill answers from data it looks up, so its answers are checked against the tool results behind them and cite those results. An 'action' skill performs something in another system and its answer is not checked.
datasource, action MCP server connections for this skill's tools
Show child attributes
Show child attributes
The date when the skill was created
The date when the skill was last updated
Response
Successful Response
The name of the skill
Structured classification configuration for routing requests to this skill
Show child attributes
Show child attributes
System prompt used when this skill handles a request
The id of the skill
What kind of work this skill does. A 'datasource' skill answers from data it looks up, so its answers are checked against the tool results behind them and cite those results. An 'action' skill performs something in another system and its answer is not checked.
datasource, action MCP server connections for this skill's tools
Show child attributes
Show child attributes
The date when the skill was created
The date when the skill was last updated